//Modified May 10, 2017
//N.Shevchuk
//Modified by Megumi Iwata on 01.05.2018

#include <SoftwareSerial.h>
#define txPin 3  // PB3 recieves signal from the computer and send to nodes
#define rxPin 4  // PB4 recieves signal from nodes and transmits to the computer

int incomingByte;   // for incoming Serial data from computer
int myincomingByte;  // for incoming mySerial data from nodes

SoftwareSerial mySerial(rxPin,txPin);    
// serial communication with nodes. rxPin recieves from nodes, txPin transmits to the nodes
SoftwareSerial Serial(txPin, rxPin);   
//  serial communication with computer. 
//  txPin recieves from the computer (and transmits to the nodes), rxPin (recieves from the nodes and) transmits to the computer

void setup()
{
  pinMode(rxPin, INPUT);    //rxPin listens signals from the nodes
  Serial.begin(9600);
  mySerial.begin(9600); //Define serial speed to 9600 bits per second
}
void loop() 
{

  while (Serial.available() > 0){    // if there is data on the serial
    incomingByte = Serial.read();  // signal from the computer
    
    mySerial.write(incomingByte);  // transmit what the computer says to the nodes
  }   
  
  while (mySerial.available() > 0)   // if there is data on the serial
   {  
      myincomingByte = mySerial.read();  // read signal from the nodes
      
      if (myincomingByte == '1' || myincomingByte == '2'){   
      // if the signals from nodes are '1' or '2', do this:
      
      pinMode(rxPin, OUTPUT);
      Serial.println (myincomingByte);  
      pinMode(rxPin, INPUT);
      } else {
      }
      delay(1000);
   }
}
