//Modified on May 10, 2017
//N.Shevchuk
//Modified by Megumi Iwata on 01.05.2018
//node1: echo hello input baord (week12)

#include <SoftwareSerial.h>
#define txPin 5     // PA5(MISO) transmit signal to the bridge
#define rxPin 4     // PA4(SCK) recieves signal from bridge 

SoftwareSerial mySerial(rxPin,txPin);

const char node = '1';  // network address (ID)
const int ledPin = 8; //LED is PB2 on ATTiny44

int incomingByte;   // signal from the bridge board

void setup()
{
pinMode(ledPin, OUTPUT);
pinMode(txPin, INPUT);   //default tx as input
mySerial.begin(9600);
}
void loop(){

    while(mySerial.available() > 0) // if there is data on the serial
    {
      incomingByte = mySerial.read();  // listen what the bridge says 
      
      if (incomingByte == node){      // if the bridge says '1' (ID)
      digitalWrite(ledPin, HIGH);     // turn on LED
      pinMode(txPin, OUTPUT);   // tx as output to send signal to the bridge board
      mySerial.print(" NODE ");
      mySerial.print(node);        // '1'
      mySerial.println(" is ON.");
      pinMode(txPin, INPUT);    //tx goes back as input again
      delay(1000);
      digitalWrite(ledPin, LOW);
      delay(1000);
      } else {
    }
 }
}
